# Libsm

Libsm is an open source pure rust library of China Cryptographic Algorithm Standards. It is completed by a collaborative effort between the Cryptape Technology LLC. and BEIHANG KNOC LAB. And now this project is maintained by Cryptape Technology LLC.

## GM/T Algorithms

Libsm implements the following GM/T cryptographic algorithms:

* SM2 (GM/T 0003-2012): elliptic curve cryptographic schemes including digital signature scheme, public key encryption, (authenticated) key exchange protocol and one recommended 256-bit prime field curve sm2p256v1.
* SM3 (GM/T 0004-2012): cryptographic hash function with 256-bit digest length.
* SM4 (GM/T 0002-2012): block cipher with 128-bit key length and 128-bit block size, also named SMS4.

## Documents

* [SM2](/docs/sm2.md)
* [SM3](/docs/sm3.md)
* [SM4](/docs/sm4.md)

## License

Libsm is currently under the [Apache 2.0 license](LICENSE.txt).
